package jp.sourceforge.mailagent;

import java.io.Serializable;

/**
 * メール設定（ＳＭＴＰ送信設定）.
 */
public final class MailConfig implements Serializable{
   private static final long serialVersionUID = 1L;
   private String smtphost;
   private boolean smtpauth;
   private String smtpuser;
   private String smtppasswd;
   private int timeout;
   private String encode;
   public MailConfig(){
      this.timeout = 60;
   }
   /**
    * メールエンコード Getter
    * @return encode メールエンコード
    */
   public String getEncode(){
      return this.encode;
   }
   /**
    * メールエンコード Setter
    * @param encode メールエンコード
    */
   public void setEncode(String encode){
      this.encode = encode;
   }
   /**
    * SMTP認証の有無を問い合わせ
    * @return smtpauth true=SMTP認証を行う
    */
   public boolean isSmtpauth(){
      return this.smtpauth;
   }
   /**
    * SMTP認証の有無 Setter
    * @param smtpauth true=SMTP認証を行う
    */
   public void setSmtpauth(boolean smtpauth){
      this.smtpauth = smtpauth;
   }
   /**
    * SMTPホスト名 Getter
    * @return smtphost SMTPホスト名
    */
   public String getSmtphost(){
      return this.smtphost;
   }
   /**
    * SMTPホスト名 Setter
    * @param smtphost SMTPホスト名
    */
   public void setSmtphost(String smtphost){
      this.smtphost = smtphost;
   }
   /**
    * SMTP認証パスワード Getter.<br>isSmtpauth()==true の時のみ有効
    * @return smtppasswd SMTP認証パスワード
    */
   public String getSmtppasswd(){
      return this.smtppasswd;
   }
   /**
    * SMTP認証パスワード Setter.<br>isSmtpauth()==true の時のみ有効
    * @param smtppasswd SMTP認証パスワード
    */
   public void setSmtppasswd(String smtppasswd){
      this.smtppasswd = smtppasswd;
   }
   /**
    * SMTP認証ユーザ Getter.<br>isSmtpauth()==true の時のみ有効
    * @return smtpuser SMTP認証ユーザ
    */
   public String getSmtpuser(){
      return this.smtpuser;
   }
   /**
    * SMTP認証ユーザ Setter.<br>isSmtpauth()==true の時のみ有効
    * @param smtpuser SMTP認証ユーザ
    */
   public void setSmtpuser(String smtpuser){
      this.smtpuser = smtpuser;
   }

   /**
    * メール送信タイムアウト Getter
    * @return timeout 送信タイムアウト（秒）
    */
   public int getTimeout(){
      return this.timeout;
   }
   /**
    * メール送信タイムアウト Setter
    * @param timeout 送信タイムアウト（秒）
    */
   public void setTimeout(int timeout){
      this.timeout = timeout;
   }
   
}
